// femme.cpp
// Bruno Bouzy
// 13 decembre 2001

#include "femme.h"

#include "homme.h"
#include "liste.h"

Liste * Femme::mesInstances = NULL;

/////////////////////////////////////////////////////////////////
Femme::Femme(char * n) : Individu(n) {
  mesInstances->ajouter(this);
  monHomme = NULL;
}

/////////////////////////////////////////////////////////////////
Femme::~Femme() {
  mesInstances->enlever(this);
}

/////////////////////////////////////////////////////////////////
void Femme::imprimerNom() {
  cout << "femme " << nom << endl;
}

/////////////////////////////////////////////////////////////////
void Femme::imprimerConjoint() {
  cout << "mon conjoint: ";
  if (monHomme) cout << monHomme->nom << endl;
  else cout << "null" << endl;
}

/////////////////////////////////////////////////////////////////
void Femme::direAMonConjointJeSuisMort()
{
  if (monHomme) monHomme->maFemme = NULL;
}



/////////////////////////////////////////////////////////////////
Femme * Femme::getInstance(char * n)
{
  Femme * i = (Femme*) mesInstances->premier();
  if (i==NULL) return NULL;
  if (strcmp(i->nom, n)==0) return i;
  for (;;) {
    i = (Femme*) mesInstances->prochain();
    if (i==NULL) return NULL;
    if (strcmp(i->nom, n)==0) return i;
  }
}

