// individu.h
// Bruno Bouzy
// 13 decembre 2001

#ifndef INDIVIDU_H
#define INDIVIDU_H

#include "objet.h"

class Liste;
class Homme;
class Femme;

#define TAILLE_NOM 32

class Individu : public Objet { public:
  static Liste * mesInstances;
  char nom[TAILLE_NOM];
  Homme * monPere;
  Femme * maMere;
  Liste * mesFils;
  Liste * mesFilles;
  Individu(char *);
  virtual ~Individu();
  void imprimer();
  virtual void imprimerNom();
  virtual void imprimerConjoint();
  void imprimerEnfants();
  void imprimerParents();
  static void naissance();
  static void mort();
  void tonEnfantEstMort(Individu *);
  void direAMesFilsJeSuisMort();
  void direAMesFillesJeSuisMort();
  virtual void direAMonConjointJeSuisMort();
  static void mariage();
  static void separation();
  static void imprimerTout();
  static Individu * getInstance(char *);
};

#endif
