// societe.cpp
// Bruno Bouzy
// 13 decembre 2001

#include "societe.h"

#include "individu.h"
#include "homme.h"
#include "femme.h"
#include "liste.h"

#include <iostream.h>
#include <stdlib.h>
#include <time.h>

/////////////////////////////////////////////////////////////////
int main() {
  cout << "bonjour" << endl;
  int seed = time(0);
  srandom(seed);
  Societe s;
  Individu::mesInstances = new Liste();
  Homme::mesInstances = new Liste();
  Femme::mesInstances = new Liste();
  Homme * adam = new Homme("adam");
  Femme * eve = new Femme("eve");
  adam->maFemme = eve;
  eve->monHomme = adam;
  while (s.menu());
  cout << "au revoir" << endl;
}

/////////////////////////////////////////////////////////////////
Societe::Societe() {
}

/////////////////////////////////////////////////////////////////
int Societe::menu() {
  cout << "Societe" << endl;
  cout << "1. naissance" << endl;
  cout << "2. mort" << endl;
  cout << "3. mariage" << endl;
  cout << "4. separation" << endl;
  cout << "5. affichage" << endl;
  cout << "0. quitter" << endl;
  int r;
  cin >> r;

  switch(r) {
  case 1:
    Individu::naissance();
    break;
  case 2:
    Individu::mort();
    break;
  case 3:
    Individu::mariage();
    break;
  case 4:
    Individu::separation();
    break;
  case 5:
    Individu::imprimerTout();
    break;
  }

  return r;
}
