// utile.cpp
// Bruno Bouzy
// 10 decembre 2001


#include "utile.h"
#include <iostream.h>
#include <stdlib.h>


/////////////////////////////////////////////////////////////////////////
void ftabulation(ostream & f, int ntab)
{
  for (int i=0; i<ntab; i++) f << "\t";
}

/////////////////////////////////////////////////////////////////////////
void pause()
{
  char c;
  cout << "Tapez un caractere et 'entree' pour continuer :-) ";
  cin >> c;
}

/////////////////////////////////////////////////////////////////////////
// cette fonction retourne la puissance 'exposant' d'un nombre 'base'
// pour base et exposant >= 0, et pour exposant < 32.
/////////////////////////////////////////////////////////////////////////
long long puissance(unsigned int base, unsigned int exposant)
{
  if (base==0) return 0;
  if (base==1) return 1;
  long long r = 1; 
  while (exposant) {
    r *= base;
    /*
      if (r>=1200000000) {
      cout << "attention puissance trop grande..." << endl;
      return r;
    }
    */
    exposant--;
  }
  return r;
}

/////////////////////////////////////////////////////////////////////////
// cette fonction retourne un nom au hasard
// la longueur du nom est comprise entre 3 et 5.
// le nom contient des lettres de l'alphabet au hasard.
/////////////////////////////////////////////////////////////////////////
void nomHasard(char * s)
{
  int l = random() % 3;
  l = l+3;
  char c[32];
  for (int i=0; i<l; i++) {
    c[i] = 'a' + (random() % 26);
  }
  c[l] = '\0';
  cout << "nomHasard: <" << c << ">" << endl;
  strcpy(s, c);
}



